Update an alert integration
import requests
url = "https://platform.ankra.app/api/v1/org/alerts/integrations/{integration_id}"
payload = {
"name": "<string>",
"url": "<string>",
"channel_id": "<string>",
"channel_name": "<string>",
"teams_tenant_id": "<string>",
"description": "<string>",
"template": "<string>",
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
channel_id: '<string>',
channel_name: '<string>',
teams_tenant_id: '<string>',
description: '<string>',
template: '<string>',
enabled: true
})
};
fetch('https://platform.ankra.app/api/v1/org/alerts/integrations/{integration_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/org/alerts/integrations/{integration_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"url": "<string>",
"channel_id": "<string>",
"channel_name": "<string>",
"teams_tenant_id": "<string>",
"description": "<string>",
"template": "<string>",
"enabled": true
}
'{
"item": {
"id": "<string>",
"name": "<string>",
"url": "<string>",
"channel_id": "<string>",
"channel_name": "<string>",
"description": "<string>",
"template": "<string>",
"enabled": true,
"organisation_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Alerts
Update an alert integration
Updates the fields sent in the body (name, URL, channel, template, description, enabled) and leaves the rest unchanged. Answers 404 for an unknown integration and 400 when the new name is already in use.
PUT
/
api
/
v1
/
org
/
alerts
/
integrations
/
{integration_id}
Update an alert integration
import requests
url = "https://platform.ankra.app/api/v1/org/alerts/integrations/{integration_id}"
payload = {
"name": "<string>",
"url": "<string>",
"channel_id": "<string>",
"channel_name": "<string>",
"teams_tenant_id": "<string>",
"description": "<string>",
"template": "<string>",
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
channel_id: '<string>',
channel_name: '<string>',
teams_tenant_id: '<string>',
description: '<string>',
template: '<string>',
enabled: true
})
};
fetch('https://platform.ankra.app/api/v1/org/alerts/integrations/{integration_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/org/alerts/integrations/{integration_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"url": "<string>",
"channel_id": "<string>",
"channel_name": "<string>",
"teams_tenant_id": "<string>",
"description": "<string>",
"template": "<string>",
"enabled": true
}
'{
"item": {
"id": "<string>",
"name": "<string>",
"url": "<string>",
"channel_id": "<string>",
"channel_name": "<string>",
"description": "<string>",
"template": "<string>",
"enabled": true,
"organisation_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes